### Struct

# FwupdPlugin StructAcpiTable

#### Description

    struct FuStructAcpiTable {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_struct_acpi_table_new

No description available.

###### fu_struct_acpi_table_parse_stream

No description available.

#### Instance methods

###### fu_struct_acpi_table_get_checksum

No description available.

###### fu_struct_acpi_table_get_creator_id

No description available.

###### fu_struct_acpi_table_get_creator_revision

No description available.

###### fu_struct_acpi_table_get_length

No description available.

###### fu_struct_acpi_table_get_oem_id

No description available.

###### fu_struct_acpi_table_get_oem_revision

No description available.

###### fu_struct_acpi_table_get_oem_table_id

No description available.

###### fu_struct_acpi_table_get_revision

No description available.

###### fu_struct_acpi_table_get_signature

No description available.

###### fu_struct_acpi_table_ref

No description available.

###### fu_struct_acpi_table_set_checksum

No description available.

###### fu_struct_acpi_table_set_creator_id

No description available.

###### fu_struct_acpi_table_set_creator_revision

No description available.

###### fu_struct_acpi_table_set_length

No description available.

###### fu_struct_acpi_table_set_oem_id

No description available.

###### fu_struct_acpi_table_set_oem_revision

No description available.

###### fu_struct_acpi_table_set_oem_table_id

No description available.

###### fu_struct_acpi_table_set_revision

No description available.

###### fu_struct_acpi_table_set_signature

No description available.

###### fu_struct_acpi_table_unref

No description available.